<mat-card class="add-drink-form">
    <mat-card-title>Add a {{ drinkType }}</mat-card-title>
    <mat-card-content>
        <form [formGroup]="drinkForm">
            <div class="add-drink-form-container">
                <!-- The code above could be created dinamically, instead use isBeer variable -->
                <mat-form-field>
                    <input formControlName="name"
                           matInput
                           placeholder="Name">
                </mat-form-field>
                <mat-form-field *ngIf="isBeer">
                    <input formControlName="brand"
                           matInput
                           placeholder="Brand">
                </mat-form-field>
                <mat-form-field *ngIf="isBeer">
                    <input formControlName="type"
                           matInput
                           placeholder="Type">
                </mat-form-field>
                <mat-form-field *ngIf="!isBeer">
                    <input formControlName="vineyard"
                           matInput
                           placeholder="Vineyard">
                </mat-form-field>
                <mat-form-field>
                    <input formControlName="year"
                           matInput
                           type="number"
                           placeholder="Year">
                </mat-form-field>
                <mat-form-field>
                    <input formControlName="price"
                           type="number"
                           matInput
                           placeholder="Price">
                </mat-form-field>
            </div>
        </form>
    </mat-card-content>
    <mat-card-footer class="position-right">
        <button mat-button
                [disabled]="!drinkForm.valid"
                (click)="addDrink(drinkForm.value)">Apply</button>
    </mat-card-footer>
</mat-card>